summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2022-08-13 15:47:28 -0500
committerzachir <zachir@librem.one>2022-08-13 15:47:28 -0500
commit0a54164560e85d38a7de805cd9fddf8e5fb9e27f (patch)
treeeee2f4c9324f3fd26da30f98dad5120bb685561d
parent3aa5fc92a497f0114919bec75487a7bf11292101 (diff)
zirless fix universe mirrors, only add repos if they dont exist
-rw-r--r--zirless.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/zirless.sh b/zirless.sh
index 1827fc7..77b7629 100644
--- a/zirless.sh
+++ b/zirless.sh
@@ -121,8 +121,9 @@ artixadduniverserepo() { # Enables the universe repo (necessary to add Arch repo
Server = https://universe.artixlinux.org/$arch
Server = https://mirror1.artixlinux.org/universe/$arch
Server = https://mirror.pascalpuffke.de/artix-universe/$arch
-Server = https://artixlinux.qontinuum.space:4443/universe/os
+Server = https://artixlinux.qontinuum.space/artixlinux/universe/os/$arch
Server = https://mirror1.cl.netactuate.com/artix/universe/$arch
+Server = https://ftp.crifo.org/artix-universe/
" >> /etc/pacman.d/mirrorlist-universe
echo "
[universe]
@@ -275,11 +276,11 @@ sed -i "s/-j2/-j$(nproc)/;s/^#MAKEFLAGS/MAKEFLAGS/" /etc/makepkg.conf
manualinstall yay-bin || error "Failed to install AUR helper."
-artixaddlib32repo || error "Failed to add lib32 repo" && exit 5
+grep -q '^[lib32]' /etc/pacman.conf || artixaddlib32repo || error "Failed to add lib32 repo" && exit 5
-artixadduniverserepo || error "Failed to add universe repo" && exit 5
+grep -q '^[universe]' /etc/pacman.conf || artixadduniverserepo || error "Failed to add universe repo" && exit 5
-artixaddarchrepos || error "Failed to add Arch Linux repos." && exit 5
+grep -q '^[extra]' /etc/pacman.conf || artixaddarchrepos || error "Failed to add Arch Linux repos." && exit 5
refreshkeys || error "Error automatically refreshing Arch keyring. Consider doing so manually."